Sync ibid 0.1.0+dfsg-1 (universe) from Debian testing (main)

Bug #527982 reported by Stefano Rivera
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

Please sync ibid 0.1.0+dfsg-1 (universe) from Debian testing (main):

Changelog:

ibid (0.1.0+dfsg-1) unstable; urgency=low

  * Initial upstream release.
  * Patches:
    - Update separate-data patch. Upstream incorporated fixes to make this
      patch much simpler and less invasive.
    - Add fortune-path.diff: Change fortune's default location to be absolute
      path /usr/games/fortune.
  * debian/rules:
    - Run test suite with all python interpreters.
    - Respect nocheck in DEB_BUILD_OPTIONS.
  * debian/control:
    - Unversion dependency on python-imdbpy.

 -- Stefano Rivera <email address hidden> Wed, 10 Mar 2010 20:32:28 +0200

ibid (0+bzr881+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #565885)

 -- Stefano Rivera <email address hidden> Sun, 07 Feb 2010 00:10:35 +0200

Rationale for new package request in feature freeze:

The majority of Ibid users use Ubuntu and getting a release into an LTS will make them very happy. It's unlikely to negatively impact anyone else, as an IRC bot is a pretty niche package, not installed on many machines. Nothing currently depends on ibid.

Ibid has been in development for over a year, and has had Debian packages in private repos [0] and PPAs [1] for around 6 months, thus they are relatively stable and unlikely to contain nasty bugs.

This merge request was originally for 0+bzr881+dfsg-1, hoping to get the pre-release merged so 0.1.0 would make lucid. 0.1.0 was released before this request was ACKed.

[0]: http://ibid.omnia.za.net/debian
[1]: https://edge.launchpad.net/~ibid-core/+archive/ppa

Revision history for this message
Stefano Rivera (stefanor) wrote :

Now in RC. Release expected around 10 March.

Revision history for this message
StefanPotyra (sistpoty) wrote :

hm... would a backport from lucid+1 to lucid work as well?

I'm a little bit inclined to accept the FFe, but I'd like to hear another opinion from a member of the release team.

Revision history for this message
Stefano Rivera (stefanor) wrote : Re: [Bug 527982] Re: Sync ibid 0+bzr881+dfsg-1 (universe) from Debian experimental (main)

> hm... would a backport from lucid+1 to lucid work as well?

Sure it would, and I'll probably be providing Ibid backports for Jaunty+
anyway, as long as we have users using those releases.
But I'm the upstream, and thus a little biased. If we can make it easier
for lucid users to run Ibid, I'm happy.

Revision history for this message
Stefano Rivera (stefanor) wrote : Re: Sync ibid 0+bzr881+dfsg-1 (universe) from Debian experimental (main)

0.1.0 was relased last night. There should be an upload into unstable soon.

summary: - Sync ibid 0+bzr881+dfsg-1 (universe) from Debian experimental (main)
+ Sync ibid 0.1.0+dfsg-1 (universe) from Debian unstable (main)
description: updated
summary: - Sync ibid 0.1.0+dfsg-1 (universe) from Debian unstable (main)
+ Sync ibid 0.1.0+dfsg-1 (universe) from Debian testing (main)
description: updated
Revision history for this message
StefanPotyra (sistpoty) wrote :

ok, since it has made it through debian/NEW already, I'm ok with getting it in. If it really makes it will depend on archive admins time to shove it through ubuntu's new queue though.

Revision history for this message
Benjamin Drung (bdrung) wrote :

package builds, sync request ACK'd

Changed in ubuntu:
importance: Undecided → Wishlist
status: New → Triaged
Revision history for this message
Steve Langasek (vorlon) wrote :

[Updating] ibid (None [Ubuntu] < 0.1.0+dfsg-1 [Debian])
 * Trying to add ibid...
2010-04-18 06:07:55 INFO - <ibid_0.1.0+dfsg-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-04-18 06:07:55 INFO - <ibid_0.1.0+dfsg.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-04-18 06:07:56 INFO - <ibid_0.1.0+dfsg-1.dsc: downloading from http://ftp.debian.org/debian/>

Changed in ubuntu:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers